<?php

namespace App\Http\Controllers\Api;


use App\Service\AssetService;
use Illuminate\Http\Request;


class AssetController extends BaseController
{
    public function add(Request $request)
    {
        $service = new AssetService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->add($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function edit(Request $request)
    {
        $service = new AssetService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function del(Request $request)
    {
        $service = new AssetService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->del($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function assetOtherList(Request $request)
    {
        $service = new AssetService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->assetOtherList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function assetList(Request $request)
    {
        $service = new AssetService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->assetList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function getDepAndArea(Request $request)
    {
        $service = new AssetService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->getDepAndArea($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function updateData(Request $request)
    {
        $service = new AssetService();
        list($status,$data) = $service->updateData($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
