<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class InventoryOrder extends Model
{
    protected $table = "inventory_order"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const STATE_ZERO = 0;//未盘点
    const STATE_ONE = 1;//盘点中
    const STATE_TWO = 2;//盘点结束
    const prefix = 'PD';
    public static $name = [
        0 => '未盘点',
        1 => '盘点中',
        2 => '盘点结束'
    ];
}
